CentOS Bug Tracker
CentOS Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006022CentOS-5-OTHERpublic2012-10-17 20:282012-10-20 02:17
Reportertoracat 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.8 
Target VersionFixed in Version 
Summary0006022: NXPlayer and FreeNX: Cannot Resume Suspended Session
DescriptionThe issue was originally filed by Nick Couchman on the freenx mailing list [1].

[quote]
I'm using NXPlayer on OSX to connect to a CentOS 5 machine running FreeNX. The FreeNX version is 0.7.3, the NX version is 3.5.0. I can establish the initial session, but if I disconnect and try to reconnect, I get an empty session list. I saved off the logs from the client, and I see a bunch of the following entries:

39426 901 15:13:50 270.461 ClientSessionList: WARNING! The following buffer line has an unexpected size: '1000 unix-gnome C3A363CB88E51EAC549A197C0C030987 --D--PSA 24 1920x979 Suspended rnode08 (Shadowed)'.
39426 901 15:13:50 270.489 Utility: WARNING! Attempt to trim a null or empty string.
39426 901 15:13:50 270.511 ClientSessionList: WARNING! The following buffer line has an unexpected size: '0 Local A398997085D6FD019D0DCCB28F848FFB -------- Running X0 (Local)'.
39426 901 15:13:50 270.520 Utility: WARNING! Attempt to trim a null or empty string.

So, it looks like FreeNX is delivering the session list to the client in such a way that it is incompatible with the newer clients. Any idea what can be done to resolve this? Is this something with the FreeNX code, or the way the open source components of NoMachine are compiled?

Thanks,
Nick
[/quote]

Nick later submitted a patch that fixes the problem [2].

[1] http://mail.kde.org/pipermail/freenx-knx/2012-July/009691.html [^]
[2] http://mail.kde.org/pipermail/freenx-knx/2012-July/009695.html [^]
TagsNo tags attached.
Attached Files

- Relationships
related to 0006023resolvedtoracat CentOS-6 NXPlayer and FreeNX: Cannot Resume Suspended Session 

-  Notes
(0015951)
toracat (developer)
2012-10-17 20:29

Working on addition of the patch to freenx.
(0015955)
toracat (developer)
2012-10-18 16:45

The patched version (freenx-0.7.3-9.2) for CentOS-5 is available here:

http://centos.toracat.org/misc/testing/nx-freenx/5/ [^]
(0015972)
JohnnyHughes (administrator)
2012-10-20 02:17
edited on: 2012-10-20 02:18

fixed in versions:

freenx-0.7.3-9.2.el5.centos.src.rpm
nx-3.5.0-2.1.el5.centos.src.rpm


- Issue History
Date Modified Username Field Change
2012-10-17 20:28 toracat New Issue
2012-10-17 20:29 toracat Note Added: 0015951
2012-10-17 20:41 toracat Relationship added related to 0006023
2012-10-18 09:25 toracat Status new => assigned
2012-10-18 16:45 toracat Note Added: 0015955
2012-10-20 02:17 JohnnyHughes Note Added: 0015972
2012-10-20 02:17 JohnnyHughes Status assigned => resolved
2012-10-20 02:17 JohnnyHughes Resolution open => fixed
2012-10-20 02:18 JohnnyHughes Note Edited: 0015972 View Revisions


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker